<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [StockOrderObject](./bitburner.stockorderobject.md)

## StockOrderObject interface

Value in map of [StockOrder](./bitburner.stockorder.md)

**Signature:**

```typescript
interface StockOrderObject 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [position](./bitburner.stockorderobject.position.md) |  | [PositionType](./bitburner.positiontype.md) | Order position |
|  [price](./bitburner.stockorderobject.price.md) |  | number | Price per share |
|  [shares](./bitburner.stockorderobject.shares.md) |  | number | Number of shares |
|  [type](./bitburner.stockorderobject.type.md) |  | [OrderType](./bitburner.ordertype.md) | Order type |

